V7 regression: Brep.CreateContourCurves() throws exception

Both Rhino.Geometry.Brep.CreateContourCurve() methods fail in v7 but not in v6. Does not seem dependent on the input. Minimal example using rhinoscriptsyntax, but I’ve tried the core functions as well.

import Rhino
import rhinoscriptsyntax as rs

if __name__ == "__main__":
    sp_id = rs.AddSphere( Rhino.Geometry.Plane.WorldXY, 10 )
    rs.AddSrfContourCrvs( sp_id, Rhino.Geometry.Plane.WorldXY )

(For anyone hitting this issue, Rhino.Geometry.Intersect.Intersection.BrepPlane() is working as expected.)

Hi @Dow,

Seems to work here in Rhino 7 SR34:

– Dale